The sgx_sign generates the enclave signature and meta-data, and inserts the 
information into the enclave file. 
Meanwhile, the sgx_sign checks the enclave compatibility and provides the detail 
information to users.

Usage:
    sgx_sign <command> [options] file...
    Commands:
        sign                Sign the enclave using the private key.
        gendata             Generate enclave signing material to be signed.
        catsig              Generate the signed enclave with the input signature 
                            file, the public key and the enclave signing material.
    Options:
        -enclave            Specify the enclave file to be signed.
                            It is a required option for the listed sgx_sign commands.
        -key                Specify the key file.
                            It is a required option for the sign and catsig commands.
        -config             Specify the configuration for the enclave.
        -out                Specify the output file.
                            It is a required option for the listed sgx_sign commands.
        -sig                Specify the signature file for the enclave signing 
                            material.
                            It is a required option for the catsig command.
        -unsigned           Specify the enclave signing material generated by the 
                            gendata command.
                            It is a required option for the catsig command.
        -ignore-rel-error   By default, sgx_sign provides an error for enclaves with 
                            text relocations. You can ignore the error and continue signing
                            by providing this option. But it is recommended you eliminate the
                            text relocations instead of bypassing the error with this option.

